import ru.landgrafhomyak.kotlin.kmp_gradle_build_helper.defineXomrkGiteaMavenRepo

buildscript {
	fun readTextFile(relPath: String) = rootDir.resolve(relPath).readText().trim()


	dependencies {
		classpath("ru.landgrafhomyak.kotlin:kotlin-mpp-gradle-build-helper:v${readTextFile("../library-version.txt")}k${readTextFile("../kotlin-version.txt")}")
	}
}

plugins {
	kotlin("multiplatform") version "2.0.20"
	`maven-publish`
}

fun readTextFile(relPath: String) = rootDir.resolve(relPath).readText().trim()

val targetKotlinVersion = readTextFile("../kotlin-version.txt")

group = "ru.landgrafhomyak.kotlin"
version = "v${readTextFile("../library-version.txt")}k${targetKotlinVersion}"

repositories {
	mavenCentral()
}



kotlin {
	jvmToolchain(8)
	jvm()

	sourceSets {
		jvmMain {
			dependencies {
				implementation("${group}:kotlin-mpp-gradle-build-helper:${targetKotlinVersion}")
				implementation("org.jetbrains.kotlin:kotlin-gradle-plugin:${targetKotlinVersion}")
			}
		}
	}
}

publishing {
	repositories {
		defineXomrkGiteaMavenRepo()
	}
}